Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.optional
Class NoExitSecurityManager

    java.lang.Object
      |
      +--java.lang.SecurityManager
            |
            +--org.apache.tools.ant.util.optional.NoExitSecurityManager

public class NoExitSecurityManager
extends java.lang.SecurityManager

This is intended as a replacement for the default system manager. The goal is to intercept System.exit calls and make it throw an exception instead so that a System.exit in a task does not fully terminate Ant.

See Also:
  `ExitException`

Field Summary

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`NoExitSecurityManager()`

Method Summary
`void` | `checkExit(int status)`
`void` | `checkPermission(java.security.Permission perm)`

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoExitSecurityManager

    public NoExitSecurityManager()

Method Detail

### checkExit

    public void checkExit(int status)

  Overrides:
    `checkExit` in class `java.lang.SecurityManager`

### checkPermission

    public void checkPermission(java.security.Permission perm)

  Overrides:
    `checkPermission` in class `java.lang.SecurityManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.